package types

type Pointer struct {
	To Type
}

func (p *Pointer) UniqueName() string {
	if p.To == nil {
		return "Pointer"
	}

	return "Pointer:" + p.To.UniqueName()
}

func (p *Pointer) TotalSize() uint8 {
	return 8
}
